Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Telephony

Create an agent telephony binding

POST /agents/{agent_name}/telephony/bindings

Creates a telephony binding for the voice agent named in the path.

Parâmetros do cabeçalho

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

VoiceAgents=V1Preview
Repeatability-Request-ID string

An opaque, globally-unique, client-generated string identifier for the request.

Repeatability-First-Sent string

Specifies the date and time at which the request was first created.

Parâmetros de caminho

agent_name string exigido

The name of the voice agent that owns the binding.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Corpo da solicitação

The provider-specific binding to create.

Content-Type: application/json
Um dos seguintes:
teams_phone_extension CreateTeamsPhoneExtensionTelephonyBindingRequest

The request to create a Microsoft Teams Phone Extension binding.

provider enum exigido

The Microsoft Teams Phone Extension provider.

teams_phone_extension
phone_number string

The optional display phone number for the Teams resource account.

resource_account_object_id string exigido

Universally Unique Identifier

twilio CreateTwilioTelephonyBindingRequest

The request to create a Twilio binding.

provider enum exigido

The Twilio provider.

twilio
phone_number string exigido

The Twilio E.164 phone number.

Respostas

The request has succeeded and a new resource has been created as a result.

Cabeçalhos

ETag string exigido

The entity tag to send in the If-Match header when updating or deleting the binding.

Corpo

Content-Type: application/json
Um dos seguintes:
teams_phone_extension TeamsPhoneExtensionTelephonyBinding

A Microsoft Teams Phone Extension binding owned by a voice agent.

provider enum exigido

The Microsoft Teams Phone Extension provider.

teams_phone_extension
phone_number string

The optional display phone number for the Teams resource account.

resource_account_object_id string exigido

Universally Unique Identifier

twilio TwilioTelephonyBinding

A Twilio binding owned by a voice agent.

provider enum exigido

The Twilio provider.

twilio
phone_number string exigido

The Twilio E.164 phone number.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /agents/{agent_name}/telephony/bindings HTTP/1.1

Resposta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026